Dim myInDesign 'As InDesign.Application
Dim iddoc 'As InDesign.Document
Dim tbl 'As InDesign.Table
Dim myExcel 'As Excel.Application
Dim exdoc 'As Excel.Workbook
Dim cht 'As Excel.Chart

Set myInDesign = CreateObject("InDesign.Application.CS")
Set iddoc = myInDesign.ActiveDocument
Set tbl = iddoc.TextFrames(1).Tables(1)

Set myExcel = CreateObject("Excel.Application")
myExcel.Visible = True
Set exdoc = myExcel.Workbooks.Add

For i = 1 To tbl.Rows.Count
    For j = 1 To tbl.Columns.Count
        exdoc.Sheets(1).Cells(i, j) _
            = tbl.Rows(i).Cells(j).Contents
    Next 'j
Next 'i
str1 = exdoc.Sheets(1).Name
str2 = "A1:" & Chr(64 + j - 1) & CStr(i - 1)

Set cht = exdoc.Charts.Add
cht.ChartType = 97 'xlCylinderBarStacked100
cht.SetSourceData exdoc.Sheets(str1).Range(str2), 1 'xlRows
cht.Location 1 'xlLocationAsNewSheet
cht.HasLegend = True
cht.Legend.Position = -4107 'xlBottom
cht.HasDataTable = False
cht.ChartGroups(1).GapWidth = 50
cht.DepthPercent = 100
cht.GapDepth = 0
cht.ChartArea.Font.Name = "lr SVbN"
With cht.Legend
    .Border.ColorIndex = 57
    .Border.Weight = 2 'xlThin
    .Interior.ColorIndex = -4142 'xlNone
End With
With cht.Axes(1) 'xlCategory
    .Border.ColorIndex = 57
    .Border.Weight = 2 'xlThin
    .TickLabels.Font.Name = "lr SVbN"
    .TickLabels.Font.Size = 16
End With
With cht.Axes(2) 'xlValue
    .Border.ColorIndex = 57
    .Border.Weight = 2 'xlThin
    .TickLabels.Font.Name = "lr SVbN"
    .TickLabels.Font.Size = 14
    .MajorGridlines.Border.ColorIndex = 57
    .MajorGridlines.Border.Weight = 2 'xlThin
End With
With cht.Walls
    .Border.ColorIndex = 57
    .Border.Weight = 2 'xlThin
    .Interior.ColorIndex = -4142 'xlNone
End With
With cht.Floor
    .Border.ColorIndex = 57
    .Border.Weight = 2 'xlThin
    .Interior.ColorIndex = -4142 'xlNone
End With
cht.ChartArea.Copy
exdoc.Close False
myExcel.Quit

myInDesign.Activate
myInDesign.Paste
myInDesign.Selection(1).GeometricBounds _
    = Array(20, 110, 80, 190) 'rectangle
myInDesign.Selection(1).Fit 1668247152 'idProportionally
myInDesign.Selection(1).Fit 1667591779 'idCenterContent
myInDesign.Selection(1).WMFs(1).LocalDisplaySetting _
    = 1346922866 'idHighQuality
MsgBox "Ot쐬܂B"
